Page MenuHomePhabricator

[PowerPC] Handle SUBFIC in reg+reg -> reg+imm transformation
ClosedPublic

Authored by nemanjai on Jul 27 2020, 7:25 AM.

Details

Summary

We initially missed the subtract-immediate in this transformation. This patch just adds that.

Diff Detail

Event Timeline

nemanjai created this revision.Jul 27 2020, 7:25 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 27 2020, 7:25 AM
foad added a comment.Aug 4 2020, 9:11 AM

Looks great to me, but probably needs a PowerPC expert to look at it too.

lkail accepted this revision.Aug 16 2020, 7:18 PM
lkail added a subscriber: lkail.

LGTM.

This revision is now accepted and ready to land.Aug 16 2020, 7:18 PM
This revision was landed with ongoing or failed builds.Aug 24 2020, 2:23 PM
This revision was automatically updated to reflect the committed changes.